package com.library.bean;

import java.sql.Timestamp;

/**
 * 用户信息
 * @author Administrator
 *
 */
public class User {

	private int id;
	private String phone_num;//普通用户注册号码
	private String password;//密码（MD5加密）
	private String nick_name;//用户昵称
	private Timestamp time;//注册时间
	private int role_root;//权限角色
	private int user_not;//用户删除（删除：-1，否：1）
	private int manager_not;//是否管理员（否：-1，是：1）
	public int getId() {
		return id;
	}
	public void setId(int id) {
		this.id = id;
	}
	public String getPhone_num() {
		return phone_num;
	}
	public void setPhone_num(String phone_num) {
		this.phone_num = phone_num;
	}
	public String getPassword() {
		return password;
	}
	public void setPassword(String password) {
		this.password = password;
	}
	public String getNick_name() {
		return nick_name;
	}
	public void setNick_name(String nick_name) {
		this.nick_name = nick_name;
	}
	public Timestamp getTime() {
		return time;
	}
	public void setTime(Timestamp time) {
		this.time = time;
	}
	
	public int getRole_root() {
		return role_root;
	}
	public void setRole_root(int role_root) {
		this.role_root = role_root;
	}
	public int getUser_not() {
		return user_not;
	}
	public void setUser_not(int user_not) {
		this.user_not = user_not;
	}
	public int getManager_not() {
		return manager_not;
	}
	public void setManager_not(int manager_not) {
		this.manager_not = manager_not;
	}

}
